﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace BehaviorCollection.ShowPages
{
	public partial class CommandingPage : UserControl
	{
		public CommandingPage()
		{
			// Required to initialize variables
			InitializeComponent();
			CommandingCmd = new CommandingDemoCommand{page=this};
			CmdBehavior.Command = CommandingCmd;
		}
		
		public ICommand CommandingCmd {get; set;}
	}
	
	 public class CommandingDemoCommand : ICommand
    {
        public CommandingPage page { get; set; }

        #region ICommand Members

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            page.txtTransform.Rotation +=15;
        }

        #endregion
    }
}